python-oslo.rootwrap (6.3.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 19:38:46 +0000

python-oslo.rootwrap (6.3.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:43:01 -0400

python-oslo.rootwrap (6.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 13:42:26 -0400

python-oslo.rootwrap (6.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:43 -0400

python-oslo.rootwrap (6.0.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:47:55 -0400

python-oslo.rootwrap (6.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:02:12 -0400

python-oslo.rootwrap (5.17.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:51:24 +0000

python-oslo.rootwrap (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:56:57 -0400

python-oslo.rootwrap (5.16.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:20:45 -0400

python-oslo.rootwrap (5.16.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 11:50:54 -0400

python-oslo.rootwrap (5.15.2-2) experimental; urgency=medium

  * Do not install alternatives.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 22:42:19 +0100

python-oslo.rootwrap (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed do-not-run-toplevel-tests.patch, not revelant anymore since the
    move to stestr.
  * Do not run functional tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 09:44:34 +0100

python-oslo.rootwrap (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:04:37 +0000

python-oslo.rootwrap (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to using stestr for unit tests.
  * d/p/*: Drop, included upstream.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:24:32 +0000

python-oslo.rootwrap (5.14.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:16:44 +0200

python-oslo.rootwrap (5.14.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 11:36:52 +0200

python-oslo.rootwrap (5.14.1-0ubuntu2) disco; urgency=medium

  * d/python3-oslo.rootwrap.postinst: Prefer Py3 alternatives.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 12:06:24 +0000

python-oslo.rootwrap (5.14.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Update Vcs-* fields.
    - d/rules: Use pkgos-dh_auto_test.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 11:11:22 +0100

python-oslo.rootwrap (5.13.0-3) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:55:28 +0000

python-oslo.rootwrap (5.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:27:00 +0000

python-oslo.rootwrap (5.13.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove python-3.6-fix.patch, applied upstream.
  * Standards-Version is now 4.1.3.
  * Using debhelper 10.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 12:41:13 +0000

python-oslo.rootwrap (5.13.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:48:48 +0000

python-oslo.rootwrap (5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:23:23 +0000

python-oslo.rootwrap (5.10.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/enable-tests-for-py36.patch: Dropped, included upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 17:07:21 +0000

python-oslo.rootwrap (5.9.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fix FTBFS with Python 3.6 (Closes: #867632).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 17:03:19 +0000

python-oslo.rootwrap (5.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * Add patch for Python 3.6.
  * Using pkgos-dh_auto_install.

  [ Daniel Baumann ]
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Aug 2017 00:46:29 +0000

python-oslo.rootwrap (5.9.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/enable-tests-for-py36.patch: Fix tests for py36.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:20:32 -0400

python-oslo.rootwrap (5.7.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:04:25 +0100

python-oslo.rootwrap (5.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:22:29 -0500

python-oslo.rootwrap (5.3.1-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Jan 2017 09:26:57 -0500

python-oslo.rootwrap (5.3.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 10:39:53 -0500

python-oslo.rootwrap (5.2.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 14:12:03 -0400

python-oslo.rootwrap (5.1.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Aug 2016 15:46:35 -0400

python-oslo.rootwrap (4.3.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Drop python-oslo-rootwrap, now useless after Xenial is released.
  * Switch to pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 21:28:41 +0200

python-oslo.rootwrap (4.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> in Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:21:34 +0000

python-oslo.rootwrap (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 10:15:45 +0000

python-oslo.rootwrap (4.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 3.9.7 (no change).
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 02:16:02 +0000

python-oslo.rootwrap (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 08:52:04 +0000

python-oslo.rootwrap (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 11:49:33 +0100

python-oslo.rootwrap (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:33:43 +0000

python-oslo.rootwrap (2.3.0-1) experimental; urgency=medium

  [ James Page ]
  * Update Vcs fields for new git repository locations.
  * Fix typo in transitional package descriptions (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not a run test failing in Python 3.4:
    test_rootwrap.RootwrapTestCase.test_KillFilter_renamed_exe
  * python-oslo-rootwrap (transition package) in priority extra.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 18:45:12 +0200

python-oslo.rootwrap (2.0.0-2) experimental; urgency=medium

  * Using update-alternatives to handle /usr/bin/oslo-rootwrap using either
    Python 2 or 3 (Closes: #788847).
  * Updated debian/watch file to use github tags instead of PyPi.
  * Updated Homepage: in d/rules and Source: in d/copyright.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 14:59:45 +0000

python-oslo.rootwrap (2.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align dependency version requirements with upstream.
  * Rename package to python-oslo.rootwrap.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional package for
      python-oslo-rootwrap in Ubuntu.

 -- James Page <jamespage@debian.org>  Wed, 10 Jun 2015 11:21:07 +0100

oslo.rootwrap (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 12:03:20 +0100

oslo.rootwrap (1.3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 12:22:40 +0000

oslo.rootwrap (1.3.0.0~a3-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just right before the Jessie freeze.
  * Fixed (build-)depends.
  * Do not run the unit tests using Python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 00:14:28 +0800

oslo.rootwrap (1.2.0-2) unstable; urgency=medium

  * Fixed wrong VCS URLs.
  * Added Python 3 support.
  * Runs unit tests on build, build-conflicts with other python-osolo.*
    packages which are on the same namespace, and then preventing from doing
    "import oslo.rootwrap" from the current dir.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Aug 2014 14:45:45 +0000

oslo.rootwrap (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Using testr / subunit correctly.
  * Removed Debian patch (applied upstream).
  * Now depends on sudo (Closes: #746501). Thanks to Benedikt Trefzer
    <benedikt.trefzer@cirrax.com> for the bug report.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 May 2014 16:35:22 +0800

oslo.rootwrap (1.0.0-2) unstable; urgency=medium

  * Fixes unit tests by cherry-picking a commit upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Jan 2014 14:30:17 +0000

oslo.rootwrap (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #736485)

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Dec 2013 15:46:09 +0800

